/*
	wtf !! [ STEAM_0:0:40143824 | 65.30.50.13:27005 ]
	lua/asuswalls.lua
*/

require("matproxy")
local Asus = {}

Asus.files = {
	"brick",
	"buildings",
	"carpet",
	"composite",
	"concrete",
	"cs_assault",
	"cs_havana",
	"cs_italy",
	"de_aztec",
	"de_cbble",
	"de_chateau",
	"de_dust",
	"de_nuke",
	"de_piranesi",
	"de_prodigy",
	"de_tides",
	"de_train",
	"dev",
	"wood",
	"tile",
	"plaster",
	"props",
	"stone",
}

function Asus:GetAll()
	local mats = {}
	for k, v in pairs( Asus.files ) do
		local folder = file.Find( "../materials/" .. v .. "/*.vmt","maps")
		for u, e in pairs( folder ) do
			mats[ e ] = v
		end
	end
	
	local matnum = 0
	for k, v in pairs( mats ) do
		local name = string.gsub( k, ".vmt", "" )
		local mat = Material( v .. "/" .. name )	
		mat:SetMaterialFloat( "$alpha", 0.9 )
		matnum = matnum + 1
	end
	print( "Material number: " .. matnum )
end
Asus:GetAll()
